# IMDbTerm

IMDbTerm is a terminal application used for querying the IMDb site.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'imdb_term'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install imdb_term
---
## Usage

[Video walkthrough](https://youtu.be/DXs30HfgV10)

Run imdb_term from terminal to start IMDbTerm.  
Once started you will be greeted with a prompt.  
<code>imdbterm: </code>

<code>now playing</code>  
Returns a list of movies currently in theaters

**Example:**

    [id] - [title]
    [id] - [title]
    [id] - [title]
    ...
    [id] - [title]

<code>this week</code>  
Returns a list of movies opening this week

**Example:**

    [id] - [title]
    [id] - [title]
    [id] - [title]
    ...
    [id] - [title]

<code>search [title]</code>  
Searches IMDb for movies with [title]  
Returns top 5 results  

**Example:**

    [id] - [title] ([release_year])  
    [id] - [title] ([release_year])  
    [id] - [title] ([release_year])  
    ...  
    [id] - [title] ([release_year])  

<code>details [id]</code>  
Gives detailed information about movie with id [id]  

**Example:**  

    [movie_title] ([year])  
    [rating] | [runtime] | [genres]  
    Director(s): [director]  
    Stars: [stars]  
    Summary: [summary]  

<code>save [id]</code>  
If movie id is included will save information about movie with id <movie id>  
Otherwise saves all movies from previous command  

**Example**

    [Movie saved] || [Movies saved] || [No movie to save]

<code>[list] [detailed]</code>  
If detailed option is included lists full details of all saved movies  
Otherwise lists only id, name, and release year  

**Example**

    [id] - [name] [(release year)]  
    or  
    [title] [(release year)]  
    [content rating] | [runtime] | [genres]  
    Director(s): [director(s)]  
    Stars: [top billed stars]  
    Summary: [movie summary]  

---

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/forgiv/imdb_term.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
